Bug 253469 - Review Request: opyum - Offline package installation and update tools
Review Request: opyum - Offline package installation and update tools
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-19 23:11 EDT by Debarshi Ray
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-14 16:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2007-08-19 23:11:33 EDT
Spec URL: http://rishi.fedorapeople.org/opyum.spec
SRPM URL: http://rishi.fedorapeople.org/opyum-0.0.2-1.fc8.src.rpm

Opyum (pronounced 'opium') provides a set of tools to enable users, who do not
have a good network (eg., Internet) connection at their ready disposal, to
easily install new packages or update existing ones through the conventional
package management system available in Fedora.
Comment 1 Parag AN(पराग) 2007-08-20 00:47:33 EDT
mock build failed with following error.

checking python module: pirut... no
configure: error: failed to find required module pirut
error: Bad exit status from /var/tmp/rpm-tmp.23798 (%build)
Comment 2 Debarshi Ray 2007-08-22 17:24:10 EDT
Trying to check for Pirut in the configure script using
$ $PYTHON -c "import pirut"
gives the following traceback on Koji. The absence of a running X server causes
the issue, since the pirut modules eventually pull in gtk too.

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 26, in <module>
    import gtk
  File "/usr/lib/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 76, in
  File "/usr/lib/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 64, in _init
RuntimeError: could not open display

It is important to have the check in the upstream tarball, since Pirut is a
critical dependency for Opyum and anybody building from the release tarball
should be made aware of that. However, I am going to patch out the check for the
RPM package since Pirut is already mentioned as a Requires and BuildRequires.
Comment 3 Debarshi Ray 2007-08-22 18:29:02 EDT
Spec: http://rishi.fedorapeople.org/opyum.spec
SRPM: http://rishi.fedorapeople.org/opyum-0.0.2-2.fc8.src.rpm

Here is the new pair of Spec & SRPM.
Comment 4 Parag AN(पराग) 2007-08-28 02:13:20 EDT
Is this issue discussed on fedora-devel? Not understand why we need to patch
pirut dependency? Why can't configure successfully detects it?
Comment 5 Debarshi Ray 2007-08-28 09:21:02 EDT
I was told in #fedora-devel by ivazquez that patching out the check for pirut in
configure would be fine since the Requires and BuildRequires are taking care of

The configure file basically does:
$ $PYTHON -c "import pirut"
...to check for the availability of the Pirut modules. However importing the
Pirut  modules also imports gtk. Importing Gtk needs DISPLAY to be set and a
running X. Although one can take care of DISPLAY, I do not think we have X
running on the Koji build servers. Hence the error.
Comment 6 Stewart Adam 2007-08-28 10:39:10 EDT
I've never created a configure script before but from what I understand it's a
bash script... this would work:

python_sitelib=$(python -c "from distutils.sysconfig import get_python_lib;
print get_python_lib()")
echo -n "Checking for pirut... "
if [ -d "$python_sitelib/pirut" ];then
  echo "Yes, $python_sitelib/pirut"
  echo 'No'
Comment 7 Parag AN(पराग) 2007-08-29 01:41:35 EDT
remove python as BR in spec file
Comment 8 Parag AN(पराग) 2007-08-29 23:57:04 EDT
ok let it be as it is 
BR: python

+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMs.
+ source files match upstream.
299873e5d0b4d762a261edb6b9bc62e6  opyum-0.0.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ no -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ gtk-update-icon-cache scriptlets are used.
+ Desktop files handled correctly.
+ Requires: /bin/bash /usr/bin/python hicolor-icon-theme pirut >= 1.3.11
Comment 9 Debarshi Ray 2007-08-30 03:58:16 EDT
New Package CVS Request
Package Name: opyum
Short Description: Offline package installation and update tools.
Owners: debarshi.ray@gmail.com
Branches: FC-6, F-7
Cvsextras Commits: no
Comment 10 Jens Petersen 2007-08-30 20:48:23 EDT
Please re-request using your FAS username in the Owners field.
Comment 11 Debarshi Ray 2007-08-31 02:13:14 EDT
New Package CVS Request
Package Name: opyum
Short Description: Offline package installation and update tools.
Owners: rishi
Branches: FC-6, F-7
Cvsextras Commits: no

Comment 12 Kevin Fenzi 2007-08-31 13:06:05 EDT
cvs done.
Comment 13 Parag AN(पराग) 2007-09-19 02:58:35 EDT
is this built already? If yes then you can close this review request.
Comment 14 Debarshi Ray 2007-09-25 01:44:44 EDT
I have not built it due to some problems with my workstation. I will soon
release version 0.0.3 and close this bug after building it.
Comment 15 Toshio Ernie Kuratomi 2007-10-13 13:11:15 EDT

The branch has been created but the source package still hasn't been imported or
Comment 16 Debarshi Ray 2007-10-14 16:17:39 EDT
Imported and built for Rawhide.

Note You need to log in before you can comment on or make changes to this bug.